SSH
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getSshSetting | GET | Get SSH setting |
| updateSshSetting | PUT | Modify SSH setting |
getSshSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/ssh
Get SSH setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
json
// omada_call_operation
{
"operationId": "getSshSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SSH setting
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
updateSshSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/ssh
Modify SSH setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SSHSetting
| Field | Type | Required | Description |
|---|---|---|---|
sshEnable | boolean | yes | Whether to enable SSH |
sshServerPort | integer | no | SSH server port should be 22 or within the range of 1025-65535. |
layer3Access | boolean | no | Whether to enable layer 3 accessibility |
json
// omada_call_operation
{
"operationId": "updateSshSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SSH setting
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify